Subject: [bug#31774] [PATCH 12/22] gnu: Add maven-core.

From: Julien Lepiller <[email-masked]>
Date: Tue, 12 Jun 2018 21:36:14 +0200

Le Mon, 11 Jun 2018 20:43:16 +0200,
Danny Milosavljevic <[email-masked]> a écrit :

> Hi Julien,
> 
> yeah, looks much safer this way IMO.
> 
> > So I tried to use that, and here is an updated patch. I had troubles
> > using match (it tried to evaluate the content of the list I wanted
> > to match with, although that doesn't happen at the REPL), so I used
> > a sequence of cdr/car instead. Thanks for the hint :)  
> 
> Hmm, could you post what you tried?

I tried something like this:

(match sxlm
  ((list (component-set (components x) ...)) x))

And I got an exception like component-set: unbound variable. On the
REPL, the command works perfectly.